module Chervil
  RSpec.describe Env do
    it 'has arithmetic from core' do
      env = Env.new
      expect(env.get('+').call([1.0, 2.0], env)).to eq(3.0)
    end

    it 'inherits from parent env' do
      parent = Env.new
      parent.set('x', 5)
      child = Env.new(parent)
      expect(child.get('x')).to eq(5)
    end
  end
end
